Bug 1109915 - [rfe] yum-cron replacement
[rfe] yum-cron replacement
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On: 850912
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-16 11:38 EDT by Neal Becker
Modified: 2015-01-03 13:15 EST (History)
7 users (show)

See Also:
Fixed In Version: dnf-0.6.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-13 04:01:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2014-06-16 11:38:59 EDT
Description of problem:

If dnf is to replace yum, we need a replacement for yum-cron

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Tim Lauridsen 2014-06-16 11:55:00 EDT
@Neal, you should tell your usecases for yum-cron, some features already exits in dnf (timer based cache refresh)
Comment 2 Matthew Miller 2014-06-16 12:43:45 EDT
One use case is notification of pending security updates in /etc/motd (or similar mechanism). See https://fedorahosted.org/cloud/ticket/62
Comment 3 Neal Becker 2014-06-16 13:17:49 EDT
I use yum-cron on unattended servers to automatically perform all updates.
Comment 4 Radek Holy 2014-06-17 02:53:26 EDT
Hello, thank you for the report. We'll take a look.
Comment 5 Radek Holy 2014-06-17 02:58:34 EDT
BTW, the more (real) (detailed) use cases you provide the better for you.
Comment 6 Matthew Miller 2014-06-17 08:19:41 EDT
From Kevin Fenzi on the mailing list, a brief description of yum-cron functionality.

Depending on how you configure it, it can:

- Mail you a list of pending updates
- Mail you a list of pending security updates only.
- Download all updates (but not apply them)
- Download security updates (but not apply them).
- Download and also apply all or security updates and send you an email
  summary.
Comment 7 Matthew Miller 2014-06-17 08:38:22 EDT
The use case for cloud images is:


"When I log into my cloud image, I am presented with an informative message about pending updates, with the count of unapplied security updates highlighted."
Comment 8 Matthew Miller 2014-06-17 08:43:56 EDT
For systems in a computer lab, the use case might be:

- at a defined time every day (or night), system checks for security updates
- log result of check
- if security updates are pending, apply those updates
- log result (if applied, if successful, if errors)
- optionally send email summary on error
- optionally send email summary also on success
- on a less-frequent schedule, do the above, but for all updates.


I know that there are similar systems like yum-updatesd to do similar things, but those tend to involve daemons which run all of the time. Or, like gnome-software, they presume an interactive user who is capable of making the decision to apply updates. These are both not desired.
Comment 9 Matthew Miller 2014-06-17 08:46:32 EDT
A use case for a server system might be:

- download and cache all updates as they become available
- log and email weekly summary of unapplied bugfix/enhancement updates
- log and email immediate notice of pending security updates
- log and email daily notice of unapplied security updates
Comment 10 Ales Kozumplik 2014-08-11 09:23:52 EDT
The basic functionality has been pushed upstream today but to do severity/security-specific bugs this has to wait until bug 850912 (bringing core functionality for handling advisories) is resolved.
Comment 11 Matthew Miller 2014-08-12 08:01:16 EDT
This is something that it'd be nice to have a nice howto for, along with whatever other basic documentation.
Comment 12 Ales Kozumplik 2014-08-13 04:01:20 EDT
Provied including mailing emitter, configuration, documentation, severity filtering and systemd timers in a series of patches concluded by 0bfd5c1 on the master branch.

Also see bug 995537.
Comment 13 Ales Kozumplik 2014-08-13 04:40:09 EDT
For reference: the DNF equivalent of yum-cron is a package called dnf-automatic.
Comment 14 Matthew Miller 2014-08-13 07:19:17 EDT
(In reply to Ales Kozumplik from comment #13)
> For reference: the DNF equivalent of yum-cron is a package called
> dnf-automatic.

Okay! Turning it on in my Rawhide system and we'll see what happens. :)
Comment 15 Matthew Miller 2014-08-29 14:29:14 EDT
I see that dnf-0.6.1 is out. Is there a plan to release this for F21? (That'd be awesome.)
Comment 16 Fedora Update System 2014-09-04 11:49:40 EDT
dnf-0.6.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-0.6.1-1.fc21
Comment 17 Fedora Update System 2014-09-23 00:40:25 EDT
dnf-0.6.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.